EEPGET(1)

NOM
Eepget - téléchargeur I2P

SYNOPSIS
eepget [options]URL

DESCRIPTION

Télécharge un fichier de façon non interactive via HTTP. Les transferts sont permis aussi bien via I2P que via l'Internet habituel.

Eepget est capable de faire face aux connexions réseau lentes ou instables; si un téléchargement ne réussit pas à cause d'un problème de réseau, il continuera à réessayer jusqu'à ce que le fichier entier aie été téléchargé (si l'option -n est mise). S'il est supporté par le serveur distant, Eepget demandera au serveur de continuer le téléchargement à partir du point d'interruption.

OPTIONS
-c

Clearnet. N'utilise pas un proxy. Pareil que -p :0 .

-e etag

Sets the etag value in the request headers.

-h name=value

Ajoute une en-tête de demande arbitraire avec nom précisé et valeur.

-l lineLen

Contrôle l'affichage de la progression.  lineLen  est la longueur en caractères d'une ligne de progression. Le nombre par défaut est 40.

-m markSize

Controls the progress display.  markSize  is the number of bytes one '#' character represents. The default is 1024.

-n réessais

Spécifie le nombre de fois à réessayer le téléchargement si le téléchargement n'a pas réussi. Si cette option n'est pas spécifiée, Eepget ne réessayera pas.

-o file

Sets the output file to write to. If this option is not given, the output filename will be determined by the URL.

-p proxy_host[:port]

Specify an I2P proxy server (eeproxy) to use. If the port is not specified, eepget will use 4444. If this option is not specified, eepget will use 127.0.0.1:4444. Specify -c or -p :0 to disable the eeproxy.

-t seconds

Met le délai d'inactivité. Il est prédéfini à 60 secondes.

-u username

Met le nom d'utilisateur pour l'autorisation de proxy, si nécessaire.

-x password

Met le mot de passe pour l'autorisation de proxy, si nécessaire. Si un nom d'utilisateur est spécifié, mais pas un mot de passe, EepGet demandera le mot de passe.

EXIT STATUS
eepget exits with status zero upon successful transfer and non-zero if there were problems with the download.

RAPPORTER DES BUGS
Veuillez créer un ticket sur la page Trac d'I2P (https://trac.i2p2.de/).

VOIR AUSSI
i2prouter(1) curl(1) wget(1)